2005-08-30 Alain Magloire
	New test for PR 109202 (written by Devin Steffler)
	* parser/org/eclipse/cdt/core/parser/tests/ast2/AST2CPPTests.java

2005-08-30 Alain Magloire
	New test in PR 107150 (written by Devin Steffler)
	* parser/org/eclipse/cdt/core/parser/tests/ast2/AST2CPPTests.java
	* parser/org/eclipse/cdt/core/parser/tests/ast2/AST2Tests.java
	* parser/org/eclipse/cdt/core/parser/tests/scanner2/Scanner2Test.java

2005-06-26 Alain Magloire
	* model/org/eclipse/cdt/core/model/tests/StructuralTemplateTests.java

2005-06-25 Alain Magloire
	PR 98788: Templates
	* model/org/eclipse/cdt/core/model/tests/CModleElementsTests.java
	* model/org/eclipse/cdt/core/model/tests/ITemplateTests.java
	* model/org/eclipse/cdt/core/model/tests/StructureCModelElementsTests.java
	* model/org/eclipse/cdt/core/model/tests/StructuralTemplateTests.java

2005-06-16 Vladimir Hirsl
	Updated search related tests to reflect function parameters in search pattern.
	
	* indexer/org/eclipse/cdt/core/indexer/tests/DependencyTests.java
	* indexer/org/eclipse/cdt/core/indexer/tests/DOMSourceIndexerTests.java
	* regression/org/eclipse/cdt/core/tests/SearchRegressionTests.java
	* search/org/eclipse/cdt/core/search/tests/FunctionMethodPatternTests.java
	* search/org/eclipse/cdt/core/search/tests/SearchTestSuite.java
	
2005-06-08 Alain Magloire
	Remove the ResolverModelTest
	- misc/org/eclipse/cdt/core/filetype/tests/ResolverTeste.java
	- suite/org/eclipse/cdt/core/suite/AutomatedIntegrationSuite.java

2005-03-13 Bogdan Gheorghe
	Updated tests to work with new index framework
	
2005-02-02 Tanya Wolff
	added regression tests to AutomatedIntegrationSuite
	* build.properties
	* regression/org.eclipse.cdt.core.tests/SearchRegressionTests.java
	* suite/org.eclipse.cdt.core.suite/AutomatedIntegrationSuite.java

2005-01-31 Bogdan Gheorghe
	Patch from Dave Daoust to streamline Index Manager Tests
	
2004-12-7 Tanya Wolff
	incorporated comments from search regression test review
	
2004-11-15 Tanya Wolff
	added selection search tests to regression folder
	
2004-10-13 Tanya Wolff
	added search tests to regression folder

2004-10-4 Andrew Niefer
	created regression source folder and a test framework for search and content assist tests

2004-08-11 Bogdan Gheorghe
	Modified indexer test to work with new forward declartion encoding.
	
2004-08-06 Vladimir Hirsl

	Parser correctness tests in FailedCompleteParseASTTest.java
		testParametrizedTypeDefinition_bug69751(),
		testPredefinedSymbol_bug70928(),
		testUsingOverloadedName_bug71317(),
		testThisInTemplatedMemberFunction_bug71331(),
		testInheritsFromTemplateParameter_bug71410(),
		testTemplateFunctionInsideTemplateType_bug71588(),
		testGNUExternalTemplate_bug71603().

2004-06-09 Alain Magloire

	Patch from Sam Rob to resolve 64022

2004-05-19 Alain Magloire
	New test provided by Sam Rob added for the resolver.

2004-05-03 Bogdan Gheorghe
	Changed search and indexer tests to work with new index enablement
	
2004-04-30 Hoda Amer
	Final fix for bug#57526 : [CModel] CModelElementsTest needs to test STRUCTURAL_PARSE mode as well
	Now All CModel tests run twice, once for quick mode and once for Structural mode (Except for IIncludeTests.java
	
2004-04-26 Hoda Amer
	Partial fix for bug#57526 : [CModel] CModelElementsTest needs to test STRUCTURAL_PARSE mode as well
	Added more tests for Structural Parse to the suit.

2004-04-27 Hoda Amer
	Partial fix for bug#57526 : [CModel] CModelElementsTest needs to test STRUCTURAL_PARSE mode as well
	Added StructuralCModelElementsTest to the suit with the same input as CModelElementsTest,
	but commented some of it as still failing parts.
	
2004-04-23 Hoda Amer
	Patch for Sean Evoy : Removing Managed Build Tests from core tests.
	
2004-04-22 John Camelon
	Added CompleteParseASTTest:testBug47926().

2004-04-22 John Camelon
	Updated test clients for IExpressionParser interface changes.  
	Added QuickParseASTTests.testBug59179().  

2004-04-22 Andrew Niefer
	- added parser/CompleteParseASTTemplateTest.test_14_7_3__12_ExplicitSpecializationOverloadedFunction()
	- added parser/CompleteParseASTTemplateTest.testPartialSpecializationDefinitions()
	- uncommented and modified parser/ParserSymbolTableTemplateTests.test_14_7_3__12_ExplicitSpecializationOverloadedFunction()
	- uncommented and modified parser/ParserSymbolTableTemplateTests.testPartialSpecializationDefinitions()

2004-04-21 Alain Magloire
	Update the PathEntry test.
	* model/org/eclipse/cdt/core/model/tests/CPatEntryTest.java

2004-04-21 John Camelon
	Moved testBug39703() from ASTFailedTests to QuickParseASTTest.
	Added ScannerTestCase::testBug39698().
	Moved testBug39698A() & testBug39698B() from ASTFailedTests to QuickParseASTTest.
	Added testBug39698A() & testBug39698B() to CompleteParseASTTest.

2004-04-21 Andrew Niefer
	fox bugs 52695 & 45372
	added parser/CompleteParseASTSymbolIteratorTest.testUsingDirectives()
	added parser/CompleteParseASTSymbolIteratorTest.testUsingDeclaration()

2004-04-21 John Camelon
	Removed unused testInclusions() test from ScannerTestCase. 

2004-04-20 Andrew Niefer
	added parser/CompleteParseASTTest.testBug59302()

2004-04-20 Andrew Niefer
	-added parser/CompleteParseASTTemplateTest.test_14_7_3__11_ExplicitSpecializationArgumentDeduction()
	-added parser/CompleteParseASTTemplateTest.test_14_8_1__2_ExplicitArgumentSpecification()
	-uncommented and modified parser/ParserSymbolTableTemplateTests.test_14_7_3__11_ExplicitSpecializationArgumentDeduction()

2004-04-20 John Camelon
	Updated CompletionParseTest for CompletionKind updates.  

2004-04-20 John Camelon
	Moved testBug39684() & testBug39695() from ASTFailedTests to QuickParseASTTests.
	Updated CompleteParseASTTest::testBug39697().
	Added CompleteParseASTTest::testBug39684() & CompleteParseASTTest::testBug39695().

2004-04-20 David Inglis
	The CoreModel interfaces throw much more exception, we need to log them for errors.

2004-04-19 Alain Magloire
	The CoreModel interfaces throw much more exception, we need to log them for errors.

2004-04-19 Andrew Niefer
	added parser/CompleteParseASTTest.testBug59149()

2004-04-19 Andrew Niefer
	added parser/CompleteParseASTTemplateTest.test_14_7_3__5_ExplicitSpecialization()
	uncommented & modified parser/ParserSymbolTableTemplateTests.test_14_7_3__5_ExplicitSpecialization()

2004-04-15 Andrew Niefer
	added parser/org/eclipse/cdt/core/parser/tests/CompletionParseTest.testBug58492()

2004-04-15 John Camelon
		Added CompleteParseASTTest::testBug39697().

2004-04-15 Andrew Niefer
	added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testBug57791()

2004-04-14 John Camelon
	Added CompletionTest::testBug52253().

2004-04-14 John Camelon
	Added CompleteParseASTTest::testBug44249().

2004-04-14 John Camelon
	Added CompletionTest::testBug58178().

2004-04-14 Andrew Niefer
	updated FullParseCallback with acceptFriendDeclaration
	added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testBug45235()
	added parser/org/eclipse/cdt/core/parser/tests/QuickParseASTTests.testBug45235()

2004-04-13 Andrew Niefer
	added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testBug46246()

2004-04-12
	Updated search tests to work with new Enumerator type, added a derived search test
2004-04-11 John Camelon
	Updated clients for ISourceElementRequestor.createReader() updates.

2004-04-10 John Camelon
	Updated ScannerTestCase to correspond with changes to IToken and its implementations. 

2004-04-09 Andrew Niefer
	added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testTemplateMemberTemplateDefinition()

2004-04-09 Andrew Niefer
	fixed bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=57754
	  added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testBug57754()
	  added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testBug57754()
	  added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testContructorsAndExplicitSpecialization()

2004-04-08 John Camelon
	Removed warnings from CompletionTests.
	Added CompleteParseASTTest::testBug57800().

2004-04-07 Andrew Niefer
	added CompletionParseTest.testCompletionWithTemplateInstanceAsParent()

2004-04-07 Andrew Niefer
	fix bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=44338
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testBug44338() 
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testBug44338_2() 
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testBug44338_3() 

2004-04-07 John Camelon
	Updated test cases that used IExpressionParser::expression().  
	Added CompletionParseTest::testCompletionInFunctionBodyFullyQualified(). 
	Added CompletionParseTest::testCompletionInFunctionBodyQualifiedName().  

2004-04-06 Andrew Niefer
	added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testBug47625()
	
2004-04-06 John Camelon
	Moved testBug39704A(), testBug39704B(), testBug39704C() & testBug39704D() from ASTFailedTests to QuickParseASTTests.	

2004-04-06 John Camelon
	Added ScannerTestCase::testBug47797().  

2004-04-05 Andrew Niefer
	added search/org/eclipse/cdt/core/search/tests/ClassDeclarationPatternTests.testBug54169()

2004-04-05 Andrew Niefer
	Added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testTemplateParametersInExpressions

2004-04-04 John Camelon
	Added CompleteParseASTTest::testBug56516() && CompleteParseASTTests::testBug53786().  

2004-04-02 Andrew Niefer
	- created CompleteParseASTTemplateTest, added it to the ParserTestSuite and moved all the template tests from 
	  CompleteParseASTTest to it.
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testBug56834()
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testDefaultTemplateParameters()
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testBug56834WithInstantiation()
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testDefaultTemplateParameterWithDeferedInstance()
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.testExplicitInstantiation()

2004-04-02 John Camelon
	Added SelectionParseTest::testBaseCase_FunctionDeclaration().  
	Added SelectionParseTest::testBaseCase_FunctionDeclaration2().  
	Added SelectionParseTest::testBaseCase_VariableDeclaration().  
	Added SelectionParseTest::testBaseCase_Parameter().  
	Added QuickParseASTTests::testBug44336().  
	Added ScannerTestCase::testBug36770B(). 
	Moved testBug39705() from ASTFailedTests to QuickParseASTTests.  
	Moved testBug39694() from ASTFailedTests to QuickParseASTTests.

2004-03-29 John Camelon
	Added ScannerTestCase::testBug56517().  

2004-03-28 John Camelon
	Removed ScannerTestCase::testGerman() until we can figure out how to make it portable.  

2004-03-26 Andrew Niefer
	template template parameters
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testTemplateTemplateParameter()

2004-03-26 Andrew Niefer
	test references to symbols in template-ids
	- modified parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testOverloadedFunctionTemplates_2()
	- modified parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testTemplateParameterAsBaseClause()
	- modified parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testTypedefedTemplate_2()
	- modified parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testInstantiatingDeferredInstances()
	- modified parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testClassTemplateStaticMemberDefinition() 

2004-03-25 Andrew Niefer
	-added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testClassTemplateStaticMemberDefinition()
	-modified parser/org/eclipse/cdt/core/parser/tests/QuickParseASTTests.testPointersToMemberFunctions

2004-03-23 Andrew Niefer
	bug 55673 & fix recursive loop in template instantiation
	-parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testInstantiatingDeferredInstances()
	-parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testTemplateArgumentDeduction()
	-parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testBug55673()

2004-03-22 John Camelon
	Added CompleteParseASTTest::testBug54531(). 

2004-03-22 Andrew Niefer
	Typedefs & templates
	- added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testTypedefedTemplate()
    - added parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testTypedefedTemplate_2()
	- added parser/org/eclipse/cdt/core/parser/tests/CompletionParseTest.testCompletionInTypeDef()

2004-03-18 Andrew Niefer
	parsing template-ids
	- added    parser/org/eclipse/cdt/core/parser/tests/ScannerTestCase.test54778()
	- modified parser/org/eclipse/cdt/core/parser/tests/CompleteParseBaseTests.java
	- modified parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testOverloadedFunctionTemplates()
	- added    parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testOverloadedFunctionTemplates_2()
	- added    parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testTemplateClassPartialSpecialization()
	- added    parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testTemplateInstanceAsBaseClause()
	- added    parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTest.testTemplateParameterAsBaseClause()

2004-03-18 Alain Magloire

	Change in the hierarchy of the core Model:
	ICModel
	   ICProject
	      ISourceRoot
	         IBinary
	         IArchive
	         ITranslatioUnit
	         ICContainer
	The ISourceRoot been added to better separate
	the files.  By default the entire project is the
	SourceRoot.

	* model/org/eclipse/cdt/core/model/tests/CModelElementsTests.java
	* model/org/eclipse/cdt/core/model/tests/CPathEntryTest.java
	* model/org/eclipse/cdt/core/model/tests/ElementDeltaTests.java
	* model/org/eclipse/cdt/core/model/tests/IMacroTests.java
	* model/org/eclipse/cdt/core/model/tests/IStructureTests.java
	* model/org/eclipse/cdt/core/model/tests/ITemplateTests.java
	* model/org/eclipse/cdt/core/model/tests/TranslationUnitBaseTests.java

	* suite/org/eclipse/cdt/testplugin/CProjectHelper.java

2003-03-16 Andrew Niefer
	added CompleteParseASTTest.testBug55163

2004-03-12 Sean Evoy
	Corrected a target definition in the plugin manifest that was flagged 
	as release when it should have been flagged as test. Also updated the 
	tests to save the build information after changes that make the build 
	information dirty.
	
	* plugin.xml
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java

2004-03-16 Alain Magloire

	Test from Thomas Fletcher for the Error Parser
	New source folder.

	* misc/

2004-03-15 Andrew Niefer
	Added CompleteParseASTTest.testTemplateClassDeclaration
		  CompleteParseASTTest.testTemplateFunction
		  CompleteParseASTTest.testTemplateFunctionDefinition
		  CompleteParseASTTest.testClassMemberTemplate
  	started CompleteParseASTTest.testOverloadedFunctionTemplates
  	Updated CompleteParseBaseTest to handle templates
  	updated ParserSymbolTableTemplateTests to reflect changes to ITemplateFactory
  	Commented out a couple of ParserSymbolTableTemplateTests until I figure out how the parser will
  	handle those cases

2004-03-12 Sean Evoy
	Commit for Jeremiah Lott. 
	Allows the managed build system to resolve "forward references" within its 
	extensions. In practice this is necessary to allow references between 
	extensions in different plugins.

2004-03-12 Andrew Niefer
	added CompleteParseASTTest.testBug54639

2004-03-09 David Inglis
	Fixed StandardBuildTest to create a CProject
	
2004-03-09 Andrew Niefer
	Added CompletionParseTest.testBug52948

2004-03-09 Bogdan Gheorghe
	Workaround to get DependencyTests working on integration builds. 
	
2004-03-03 John Camelon
	Updated tests to deal with IASTUsingDeclaration interface changes.  

2004-03-02 Sean Evoy
	Added tests to verify that the tool command canbe set through the 
	IConfiguration interface in the testConfigurations() method, and 
	through a ToolReference in the checkSubSubTarget() method.

2004-03-01 Andrew Niefer
	created CompleteParseASTSymbolIteratorTest and added it to the ParserTestSuite

2004-02-26 Sean Evoy
	Work to test the ability to inherit a tool description via a tool 
	reference. Updated the testSubSubTarget to check inheritted tool 
	and updated the plugin manifest to add a tool and add a reference 
	in the subSubTarget.
	* plugin.xml
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java

2004-02-26 Alain Magloire
	Update the cpathtest

2004-02-25 Bogdan Gheorghe
	Added DependencyTests::testUpdateDependencyNPE

	* model/org/eclipse/cdt/core/model/test/CPathEntryTest.java

2004-02-25 John Camelon
	Updates for new ISourceElementRequestor interface updates.  

2004-02-25 John Camelon
	Added ScannerTestCase::testGerman().  

2004-02-25 Alain Magloire
	Added the PathEntry in the AllCoreTests suite

	* model/org/eclipse/cdt/core/model/tests/AllCoreTests.java

2004-02-24 Andrew Niefer
	work for Bug 51485: Template Explicit Specializations
	added ParserSymbolTableTemplateTests.test_14_7_3__5_ExplicitSpecialization
	added ParserSymbolTableTemplateTests.test_14_7_3__11_ExplicitSpecializationArgumentDeduction
	added ParserSymbolTableTemplateTests.test_14_7_3__12_ExplicitSpecializationOverloadedFunction
	fixed a couple of warnings in ParserSymbolTableTemplateTests
	
2004-02-23 Alain Magloire

	Adjust the test for IPathEntry deltas.

	* model/org/eclipse/cdt/core/model/test/CPathEntryTest.java

2004-02-21 Alain Magloire
	Refactor of the ICPatEntry to IPathEntry

	* model/org/eclipse/cdt/core/model/tests/CPathEntryTests.java

	Remove of unused imports
	* model/org/eclipse/cdt/core/model/tests/CModelElementsTests.java
	* model/org/eclipse/cdt/core/model/tests/CModelTests.java

2004-02-19 Andrew Niefer
	remove order dependancy in ParserSymbolTableTests.testUsingDeclaration_2

2004-02-18 Andrew Niefer
	modify ParserSymbolTableTests.testUsingDeclaration_2

2004-02-17 Andrew Niefer
	added ParserSymbolTableTests.testBug52111RemoveSymbol

2004-02-17 Sean Evoy
	Updated the managed build tets suite to include a test for project renaming and  
	updated the sanity tests to check the extension and project/artifact name as 
	separate data elements.
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java

2004-02-13 Andrew Niefer
	updated tests using search to handle InterruptedExcpetion

2004-02-12 Andrew Niefer
	UnCommented CompleteParseASTTest.testBug47628
	Added CompleteParseASTTest.testBug47636
	Added CompleteParseASTTest.testBug45697
	Updated ParserSymbolTableTests & ParserSymbolTableTemplateTests for proper use of const & volatile
	Added ParserSymbolTableTests.testbug47636FunctionParameterComparisons_1
	Added ParserSymbolTableTests.testbug47636FunctionParameterComparisons_2
	Added ParserSymbolTableTests.testbug47636FunctionParameterComparisons_3
	Added ParserSymbolTableTests.testbug47636FunctionParameterComparisons_4
	
2004-02-11 John Camelon
	Updated tests to accommodate for new Parser class hierarchy and factories.  

2004-02-10 Andrew Niefer
	Added new File: ParserSymbolTableTemplateTests.java (contains 30 new tests)
	Added new File: FailingTemplateTests.java (contains 5 test stubs for failing cases)

2004-02-10 John Camelon
	Added testBug47682() to QuickParseASTTests.java.  

2004-02-06 Bogdan Gheorghe
	Added FunctionMethodPatternTests.testMethodDeclarationWithNoParameters

2004-02-08 John Camelon
	Moved testErrorHandling_1() from failed tests to CompleteParseASTTest.  
	Moved testBug44340() from failed tests to CompleteParseASTTest.

2004-02-06 Andrew Niefer
	Added CompletionParseTest.testBug51260

2004-02-04 John Camelon
	Added preliminary SelectionParseTests to test SELECTION_PARSE clients. 
	Added SelectionParseTests to ParserTestSuite.  

2004-01-30 John Camelon
	Added QuickParseASTTest::testBug47752.  

2004-01-28 John Camelon
	Added ScannerTestCase::testBug50821().  

2004-01-27 John Camelon
	Renamed ContextualParseTest to CompletionParseTest.
	Updated COMPLETION_PARSE clients to use SINGLE_NAME_REFERENCE rather than STATEMENT_START.  

2004-01-27 Andrew Niefer
	Added CompleteParseASTTest.testCBoolAsParameter
	
2004-01-26 John Camelon
	Updated clients to use new Scanner logging service.
	Added ScannerTestCase.testBug46402().  

2004-01-26 Andrew Niefer
	Added ParserSymbolTableTest.testLongLong() 
	Added ParserSymbolTableTest.testComplex() 
	Added ParserSymbolTableTest.test_Bool() 
			
2004-01-22 John Camelon
	Updated Scanner tests for package updates in the core.  

2004-01-19 John Camelon
	Updated ParserSymbolTableTest to accommodate new constructors for COMPLETE_PARSE ASTNodes (line # info).  
	Updated CModelElementsTest to enable testing for line numbers. 
	Removed CModelElementsFailedTests.testBug36379() as it is redundant due to CModelElementTests.testCModelElements() is complete. 
	Removed CModelElementsFailedTests from AutomatedIntegrationSuite as it is empty.  

2004-01-16 Andrew Niefer
	Modified CompleteParseASTTest.testUsingClauses
	Added ParserSymbolTableTest.testIterator_1 & testIterator_2

2004-01-16 Hoda Amer
	Modified CModelElementsTest to test for enumerator constant expression 
	Bug#47552
	
2004-01-15 Andrew Niefer
	Moved testBug48307_FriendFunction_1 & testBug48307_FriendFunction_2 to ContextualParseTest
	Updated ContextualParseTest now that the order of prefix lookup results is predictable.

2004-01-15 Hoda Amer
	Moved Content Assist testing to the UI.tests plugin
	
2004-01-15 John Camelon
	Updated references to LookupResult as it was renamed to ILookupResult.  
	Removed some warnings from parser tests.  
	Updated Scanner & QuickParseTests to accommodate new errors and signatures.  
	Added QuickParseASTTests.testBug44370().  

2004-01-13 John Camelon
	Updated ContextualParseTest to accommodate bugfixes 48909 & 49702.  

2004-01-08 Andrew Niefer
	Added CompleteParseASTTest.testBug43110_XRef
	Added ParserSymbolTableTest.testBug43110_Ellipses
	Added ParserSymbolTableTest.testBug43110_EllipsesRanking
	Added ParserSymbolTableTest.testBug43110_EllipsesRanking_2

2004-01-08 Andrew Niefer
	Added CompleteParseASTTest::testBug48307_FriendFunction_1
	Added CompleteParseASTTest::testBug48307_FriendFunction_2
	
2004-01-06 Andrew Niefer
	Added ContextualParseTest::testCompletionLookup_LookupKindTHIS

2004-01-06 John Camelon
	Added CompleteParseASTTest::testBug43110() and QuickParseASTTests::testBug43110().  

2003-12-31 Hoda Amer
	Small change to test parameters with initial clause in ITemplateTest
	
2003-12-22 Hoda Amer
	Temporary disabled completion proposal test until a better test is written.
	
2003-12-17 Andrew Niefer
	test changes for content assist
	added ContextualParseTest.testCompletionLookup_FriendClass_1() 
	added ContextualParseTest.testCompletionLookup_FriendClass_2() 
	added ContextualParseTest.testCompletionLookup_ParametersAsLocalVariables() 
	modified ParserSymbolTableTest.testVisibilityDetermination() 

2003-12-17 Hoda Amer
	Small modifications to cope with the new interfaces
	
2003-12-15 Andrew Niefer
	added ContextualParseTest.testCompletionLookup_Unqualified
	added ContextualParseTest.testCompletionLookup_Qualified
	added ContextualParseTest.testCompletionLookup_Pointer
	
2003-12-12 John Camelon
	Updated testBaseCase_SimpleDeclaration() for keyword assertions.  

2003-12-11 John Camelon
	Expanded ContextualParseTest::testBaseCase().  
	Updated tests to deal with new signatures/exceptions.  

2003-12-11 Alain Magloire

	New test files for the ICPathEntry in core model.

	* model/org/eclipse/cdt/core/model/tests/CPathEntryTest.java

2003-12-09 Andrew Niefer
	added ParserSymbolTableTests.testVisibilityDetermination() 
	added ParserSymbolTableTests.testPrefixFiltering

2003-12-09 Hoda Amer
	Modified the Completion Proposal test to include case sensitivity 
	in the order of proposals.
	
2003-12-09 John Camelon
	Added ContextualParseTest.java and some test cases.  

2003-12-04 John Camelon
	Removed some warnings.  
	Moved testBug39678() from ASTFailedTests to QuickParseASTTests. 

2003-12-03 Andrew Niefer
	-modified FailedCompleteParseASTTest.testPMDotStarPointerToMemberFunction_Bug43242
										.testPMArrowStarPointerToMemberFunction_Bug43242
										.testPMDotStar_bug43579
										.testPMArrowStar_bug43579
	-created: FailedCompleteParseASTTest.testBug47926
			  CompleteParseASTTest.testQualifiedLookup
			  ParserSymbolTableTest.testPrefixLookup_Ambiguities
			  ParserSymbolTableTest.testQualifiedUnqualifiedLookup
	-modified resources/search/classDecl.cpp & include.h
	-created FunctionMethodPatternTests.testLookupForDefinition
	

2003-11-27 Andrew Niefer
	tests for Symbol table prefix lookup
		ParserSymbolTableTest.testBug46882
		ParserSymbolTableTest.testPrefixLookup_Unqualified
		ParserSymbolTableTest.testPrefixLookup_Qualified
		ParserSymbolTableTest.testPrefixLookup_Inheritance

2003-11-27 Andrew Niefer
	add CompleteParseASTTest.testBug47624()

2003-11-18 Andrew Niefer
	update ParserSymbolTableTest to reflect refactoring of Declaration into 4 separate classes.

2003-11-13 Hoda Amer
	Added CompleteParseASTTest::testBug44342(): Failure to dereference function calls after a . or an ->
	Moved testErrorHandling_1() to FailedCompleteParseASTTest
	Added FailedCompleteParseASTTest::testBug44340():Inline functions fail to resolve references 
	
2003-11-06 Andrew Niefer
	Remove dependancy on cdt.internal.ui.search.CSearchResultCollector in BaseSearchTest and DependencyTests

2003-11-07 John Camelon
	Moved testBug39554() from ASTFailedTests to QuickParseASTTests.  

2003-11-05 John Camelon
	Added CompleteParseASTTest::testBug44838().  
	Added CompleteParseASTTest::testBug46165().  
	Added ScannerTestCase::testBug45551(). 

2003-11-05 John Camelon
	Updated parser clients to use new ParserFactory (stand-alone parser work item).  	

2003-11-05 John Camelon
	Updated parser clients to use new IProblem strategy.  

2003-10-28 Andrew Niefer
	Added testBug44510() to CompleteParseASTTest
	Added testBug44925() to CompleteParseASTTest
	Added testBug44510() to ParserSymbolTableTest

2003-10-24 John Camelon
	Added testBug45476() to ScannerTestCase.  
	Added testBug45477() to ScannerTestCase. 
	
2003-10-24 John Camelon
	Moved testBug39542() from ASTFailedTests to QuickParseASTTests.
	Moved testBug39549() from ASTFailedTests to QuickParseASTTests.
	Added testCDesignatedInitializers() to CompleteParseASTTests.
	Moved testBug39551A() from ASTFailedTests to QuickParseASTTests. 
	Moved testBug39551B() from ASTFailedTests to QuickParseASTTests. 
	Added testCBool() to QuickParseASTTests.  
	Added testBug39551A(), testBug39551B() and testCBool to CompleteParseTests.  

2003-10-22 Hoda Amer
	Added offset checking in CModelElementsTest
	
2003-10-21 John Camelon
	Moved testBug40007() from ASTFailedTests to QuickParseASTTests.  
	Added QuickParseASTTests::testBug40759().  
	Added QuickParseASTTests::testBug44633().  
	Added ScannerTestCase::testBug44305().  
	Added QuickParseASTTests::testBug41935(). 
	Moved testBug39525() from ASTFailedTests to QuickParseASTTests.  
	Added ScannerTestCase::testBug45287(). 
	Moved testBug39528() from ASTFailedTests to QuickParseASTTests.  
	Moved testBug39538() from ASTFailedTests to QuickParseASTTests.  
	Added QuickParseASTTests::testBug39536().  
	Moved testBug39536A() from ASTFailedTests to QuickParseASTTests.  
	Moved testBug39536B() from ASTFailedTests to QuickParseASTTests.  

2003-10-20 David Inglis
 
 	use project owner ID in plugin class
	* build/org/eclipse/cdt/core/build/managed/tests/StandardBuildTests.java

	set gnu elf parser since it can read the debug info.
	* model/org/eclipse/cdt/core/model/tests/BinaryTests.java

2003-10-01 Andrew Niefer
	added testBug43951 to CompleteParseASTTest

2003-10-01 Andrew Niefer
	modified OtherPatternTests.testBug42911() and renamed it testBug42911_43988

2003-10-01 Andrew Niefer
	added testBug43450 to ManagedBuildTests.java
	added a user include to plugin.xml

2003-09-30 Sean Evoy
	Fix for bug 41826.
	Updated the plugin file so that tool specifications have the new attribute 
	for header files. The test for the managed builder now insure that those 
	values are properly read.
	*  plugin.xml
	*  build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java

2003-09-30 John Camelon
	Updated CompleteParseASTTest::testBug42872()
	Moved FailedCompleteParseASTTest::testBug43503() to CompleteParseASTTest::testBug43503A().  
	
2003-09-30 Andrew Niefer
	added testBug43503_AmbiguousUsing() and testBug43503_UnableToResolveFunction() to
	ParserSymbolTableTest

2003-09-30 Andrew Niefer
	Updated OtherPatternTests::testMacroPattern() to test for bug43862

2003-09-29 Andrew Niefer
	added testBug43062 and testConstructorDestructor to FunctionMethodPatternTests
	modified resources/search/classDecl.cpp & include.h to include more operators and a constructor
	& destructor

2003-09-29 Hoda Amer
	-Added testBug43679_A() & testBug43679_B() to CompleteParseASTTest
	-Renamed FailedCompleteParseASTExpressionTest to FailedCompleteParseASTTest
	-Added FailedCompleteParseASTTest::testBug43503()

2003-09-29 Andrew Niefer
	added testBug42911 to OtherPatternTests

2003-09-29 Andrew Niefer
	added testbug43834() to ParserSymbolTableTest

2003-09-29 John Camelon
	Added testErrorHandling_1() to CompleteParseASTTest.java.  

2003-09-26 John Camelon
	Added QuickParseASTTests::testBug43644() & testBug43062().  
	Moved ASTFailedTests::testBug39531() to QuickParseASTTests.

2003-09-25 Sean Evoy
	Bug 43220 test for the new option type and retrieval methods.
	* plugin.xml
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java

2003-09-25 Andrew Niefer
	-bug43129 - Cannot search for definitions of global variables
		-added testbug43129() in OtherPatternTests
		* resources/search/include.h
		* resources/search/classDecl.cpp
		* search/org/eclipse/cdt/core/search/tests/OtherPatternTests.java

2003-09-25 Bogdan Gheorghe
	- separated dependency tests from the indexer tests
	- modified the AutomatedIntegrationSuite to include new dependency
	  tests
	- added the following tests: 
	 * testDepTable
	 * testDepSourceChangeTree
	 * testDepHeaderChangeTree
	 * testDepHeaderChangeReindex
	 * testDepSourceChangeTable
	 * testDepHeaderChangeTable
	 
2003-09-25 Hoda Amer
	Enabled CompleteParseASTExpressionTest.testPostfixTypenameIdentifier()
	
2003-09-25 Andrew Niefer
	added testNoResourceSearching() to OtherPatternTests

2003-09-24 Hoda Amer
    Added testNewTypeId(), testCastExpression(), testPostfixDynamicCast(), 
    testPostfixReinterpretCast(), testPostfixStaticCast(), and testPostfixConstCast() 
    to CompleteParseASTExpressionTest. 

2003-09-24 Sean Evoy
	Changed the implementor of IScannerInfo to answer only absolute paths when asked for 
	includes paths. As a result, the managed builder test had to be updated to expect paths 
	in an OS-specific format. 
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java
	
2003-09-24 John Camelon
	Added testBug43375() to CompleteParseASTTest. 
	Moved testConditionalExpressionWithReferencesB_Bug43106 from failed tests to passed tests. 
	Moved testPMDotStar() and testPMArrowStar to failed tests w/defect number 43579.  

2003-09-23 John Camelon
	Replaced ASTFailedTests::testBug39504A() with CompleteParseASTTest::testBug39504(). 
	Moved testPostfixTypeIdExpression2() && testPostfixTypeIdTypeId2() to CompleteParseASTExpressionTest. 
	Restructured expression reference tests so that the order of arrival will not cause JUnit failures.

2003-09-23 Andrew Niefer
	Added FunctionMethodPatternTests.testBug43498()

2003-09-23 Hoda Amer
	Added CompleteParseASTTest.testBug43373()
	Added QuickParseASTTests.testBug43371()

2003-09-23 Sean Evoy
	As part of the fix for critical bug 43292, I had to add functionality to 
	the build model to remove configurations through an ITarget, and to set, 
	reset, and flag as default the make command associated with an ITarget. I 
	have updated the managed build test "testConfigurations" to exercise the 
	remove functionality. I added a test, "testMakeCommandManipulation" to 
	exercise the new make command functions in the interface.
	* plugin.xml
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java

2003-09-22 Bogdan Gheorghe
	- modified CompletionProposalsTests, BaseSearchTest
	 to avoid using isEnabled for the IndexManager
	- Reordered the IndexManagerTests suite to allow all
	  tests to be run
	  
2003-09-22 Andrew Niefer
	- modified resources/cfiles/CompletionProposalsTestStart.cpp
	- modified CompletionProposalsTest.testCompletionProposals
	- updated calls to SearchEngine.search

2003-09-19 Sean Evoy
	Updated the build test to check the binary parser specification in the 
	target specification.
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java

2003-09-18 Andrew Niefer
	- removed testConditionalExpression_Bug43159 from FailedCompleteParseASTExpressionTest
	  and uncommented it (testConditionalExpression) in CompleteParseASTExpressionTest
	- uncommented the following tests in CompleteParseASTExpressionTest :
	    testPostfixSubscript, testPostfixSubscriptA, testPostfixSubscriptB,
	    testPostfixSubscriptWithReferences
	- updated ParserSymbolTableTests to use new addOperatorExpression function
	- added testDerivedReference, testAddCopyConstructor to ParserSymbolTableTests
	- fixed warning in ClassDeclarationPatternTests

2003-09-17 Hoda Amer
	Added more success test cases to CompleteParseASTExpressionTest
	and more failure test cases to FailedCompleteParseASTExpressionTest
	in testing PM_DOTSTAR, PM_ARROWSTAR, CONDITIONALEXPRESSION

2003-09-16 Andrew Niefer
	- modified resources/search/classDecl.cpp & include.h to include some operators
	- added testOperators_bug43063_bug42979() to MethodDeclarationPatternTests
	- added testParameterREferences to OtherPatternTests

2003-09-16 Bogdan Gheorghe
	Added asserts to all index lookups in IndexManagerTests
	Fixed testAddNewFileToIndex
	
2003-09-16 Hoda Amer
    Added CompleteParseASTExpressionTest.testPrimaryThis()
    
2003-09-15 John Camelon
	Moved ASTFailedTests::testBug39556() to QuickParseASTTests.
	Cleaned up some warnings in parser tests.  

2003-09-15 Andrew Niefer
	added testGetConditionalOperand_bug43106 to ParserSymbolTableTests

2003-09-15 John Camelon
	Added CompleteParseASTTest::testBug42979().
	Updated CompleteParseASTTest::testAndrewsExample(). 

2003-09-13 Andrew Niefer
	- added testBadParameterInfo to ParserSymbolTableTest

2003-09-12 Hoda Amer
    - Added lots of test cases to CompleteParseASTExpressionTest
    
2003-09-12 John Camelon
	Created QuickParseASTTests::testBug42985(). 
	Moved LokiFailures::testBug40419() to QuickParseASTTests. 
	Deleted LokiFailures as it was empty. 

2003-09-11 Andrew Niefer
	Created search/SearchTestSuite
	Added SearchTestSuite to AutomatedIntegrationSuite and removed the individual search tests
	Added testReferencesInFunction to ClassDeclarationPatternTests
	Modified resources/search/classDecl.cpp
	Modified testNamespaceReferenceInClassBaseClause, testMacroPattern, testEnumerators, 
	testEnumeratorReferences in OtherPatternTests to test the Match result strings

2003-09-11 John Camelon
	Added CompleteParseASTTest::testBug42840() & testBug42872().
	Moved testBug39504B(), testBug39505A() & testBug39505B() from failed to QuickParse tests.

2003-09-10 Sean Evoy
	Added a test for resetting the value of a configuration to the defaults defined in the 
	plugin file. Work completed to resolve [Bug 41412] Restore Default in Managed Build 
	project's settings Not Working.
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java

2003-09-09 Hoda Amer
	Moved three failed tests (bugs #42822, #42823, & #42822B)
	from FailedCompleteParseASTExpressionTest to CompleteParseASTExpressionTest 
	
2003-09-09 John Camelon
	Updated ScannerTestCase to keep up to date wrt ScannerException updates. 

2003-09-09 Andrew Niefer
	Modified resources/search/classDecl.cpp
	 - to include more function declarations to test parameter matching
	 - to include an enumerator reference to test enumerators
	Added testMethodDeclarationParameterMatching to FunctionMethodPatternTests.java
	Added testEnumeratorReferences to OtherPatternTests
	
2003-09-09 Hoda Amer
	-Seperated the Expression result type test in a new file : completeParseASTExpressionTests.
	-Added more test cases for simple types.
	-Added FailedCompleteParseASTExpressionTest for failed reference tests.  
	
2003-09-08 John Camelon
	Added CompleteParseASTTest::testThrowStatement(), testScoping(), testEnumeratorReferences().
	Removed LineNumberTest source as it is obsolete.  

2003-09-08 Andrew Niefer
	Modified calls to ParserFactory to specify which language to use
	Add CC nature to projects in BaseSearchTest & IndexManagerTests

2003-09-05 Hoda Amer
	Added tests to CompleteParseASTTest to test the expression result type
	for function calls that reference variables with pointers (bug#42453).
	
2003-09-05 John Camelon
	Added CompleteParseASTTest::testSimpleIfStatement(), testSimpleWhileStatement(). 
	testSimpleSwitchStatement(), testSimpleDoStatement().

2003-09-05 Andrew Niefer
	Added testEnumerators to OtherPatternTests.java
	Modified resources/search/classDecl.cpp to include some enumerators

2003-09-05 John Camelon
	Updated CompleteParseASTTest::testSimpleForLoop()

2003-09-04 John Camelon
    Updated ASTFailedTests::testBug39702() to fail more accurately.
    Added testSimpleFunctionBody(), testSimpleForLoop() to CompleteParseASTTest.java.

2003-09-04 Andrew Niefer
	Added testBug42541 to CompleParseASTTests.java

2003-09-04 Hoda Amer
	Call to ASTExpression getTypeId() changed to getTypeIdString().
	
2003-09-03 Andrew Niefer
	Modified ParserSymbolTableTest.testConstructors to test > 2 constructors

2003-09-03 John Camelon
	Added testBug41445() to CompleteParseASTTests.java.  
	
2003-09-02 Hoda Amer
	Modified CCompletionProposalsTest to complete on a body file 
	that includes a header file.
	
2003-09-02 Andrew Niefer
	added ParserSymbolTableTest.testNamespaceAlias()
	added ParserSymbolTableTest.testUsingNamespaceAlias()
	
2003-08-28 Andrew Niefer
	Modified BaseSearchTest.setup to properly include the "include.h" file

2003-08-28 Hoda Amer
	- Added to completeParseASTTest testQualifiedNameReferences(), 
	testIsConstructor() and testIsDestructor().

2003-08-28 John Camelon
	Moved bug39535 from failedTests to quickParse success tests.  
	
2003-08-25 John Camelon
	Moved testBug39526() from ASTFailedTests.java to QuickParseASTTests.java.
	Moved testBug41520() from FullParseFailedTests.java to CompleteParseASTTest.java

2003-08-25 John Camelon
	Updated TranslationUnitTests to not include K&R testing.  

2003-08-25 John Camelon
	Added QuickParseASTTests::testBug39530().

2003-08-21 Hoda Amer
	Enabled some tests in the IStructureTests, namely:
	testGetFields(), testGetField(), testGetMethods(), testGetMethod(),
	testIsAbstract(), testGetBaseTypes(), and testGetAccessControl().
	
2003-08-19 Sean Evoy
	In order to properly support the indexing feature, the scanner has to 
	function as well as the version that ships with the toolset if possible. 
	This is	made difficult by the fact that we are trying to be tool-agnostic. 
	One of the things that the scanner should take into account when it runs 
	is the "built-in" symbols and search paths that are defined for a compiler 
	in a given toolchain. While we need to come up with a standard mechanism 
	for the CDT in the future, the managed build system can provide a work-around 
	in the near-term. The easiest solution is to add an optional attribute to a 
	list element that flags the item as a built-in value. When clients like 
	the indexer query the build model, they will receive the union of the built-in 
	values and the user-defined values.
	
	Added built-in information to the existing plugin definition. Also added a
	new include path and defined symol for updated test cases.
	* plugin.xml
	
	Updated the test cases to check that built-ins defined in the plugin manifest 
	are properly read and dealt with during project creation and persisting settings.
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java

2003-08-20 Hoda Amer
	Added testNewExpressions() to CompleteParseASTTest to test new expression's references.
	
2003-08-14 John Camelon
	Removed warnings from AutomatedIntegrationSuite.java (removing implicit accessor generation).

2003-08-14 John Camelon
	Added CompleteParseASTTest::testArrayModExpression(), testPointerVariable() & 
	testExceptionSpecification().  

2003-08-13 John Camelon
	Added testBug41520() to FullParseFailedTests.java.  
	Added testConstructorChain() to CompleteParseASTTest.java

2003-08-13 John Camelon
	Added testSimpleExpression(), testParameterExpressions() && 
	testNestedNamespaceExpression() to CompleteParseASTTest.java.
	
2003-08-13 Sean Evoy
	Renamed the 'AllBuildTest' class to 'ManagedBuildTest' and updated the 
	integration suite class.
	* suite/org/eclipse/cdt/core/suite/AutomatedIntegrationSuite.java

	This class is renamed. It also has a renamed method 'testProjectCreation'
	that creates a project the same way the new project wizard does. It uses
	the new discovery mechanism to find the scanner info provider.
	* build/org/eclipse/cdt/core/build/managed/tests/ManagedBuildTests.java
	
	Uses the new discovery mechanism to find the scanner info provider.
	* build/org/eclipse/cdt/core/build/managed/tests/StandardBuildTests.java

2003-08-12 Bogdan Gheorghe
	Changed the order of tests in AutomatedIntegrationSuite to have
	the indexing tests run last (the last indexing test shuts down
	the indexing thread).
	
2003-08-12 John Camelon
	Added CompleteParseASTTest::testForewardDeclarationWithUsage(). 

2003-08-12 Hoda Amer
	Added CompletionProposalsTest to the suit to test the generation 
	of completion proposals.

2003-08-12 Bogdan Gheorghe
	- Changed testVariableIndexPrefix, testVariableDeclaration to
	  reflect changes to the var search pattern
	
2003-08-11 Andrew Niefer
	- Added testMacroPattern to OtherPatternTests
	- Changed the function tests to use new function/method pattern
	
2003-08-11 Bogdan Gheorghe
	- Added testMacros to IndexManagerTests
	
2003-08-05 Andrew Niefer
	- refactoring Parser Symbol Table function names
	- added ParserSymbolTableTest.testConstructors() 

2003-08-01 Andrew Niefer
	Added resources/search/header.h
	Added ClassDeclarationPatternTests.testHeadersVisitedTwice()
	Modified other search tests to reflect ICSearchResultCollector changes

2003-07-31 Andrew Niefer
	Added ParserSymbolTableTest.testForwardClassDeclaration
	Added ParserSymbolTableTest.testForwardDeclarationUsedAsFunctionParam

2003-07-31 Victor Mozgin
	Moved testBug39540() from ASTFailedTests.java to QuickParseASTTests.java.

2003-07-30 Hoda Amer
	The CModelElementsTests has the pointer to function test back in its original place
	(a variable)

2003-07-30 Sean Evoy
	* plugin.xml:
	Updated the attribute names to reflect changes to the ManagedBuildInfo 
	extension point schema.

2003-07-30 Victor Mozgin
	Moved testBug39532() from ASTFailedTests.java to QuickParseASTTests.java.

2003-07-29 John Camelon
	Updated QuickParseASTTests for pointer to function updates.
	Updated CompleteParseASTTests for typedef work.  

2003-07-28 Victor Mozgin
	Moved testBug39546() from ASTFailedTests.java to QuickParseASTTests.java.

2008-07-28 Andrew Niefer
	-changes to resources/search/classDecl.cpp
	-new search tests:
		ClassDeclarationPatternTests.testClassReferenceInFieldType
		ClassDeclarationPatternTests.testClassReferences
		ClassDeclarationPatternTests.testEnumerationReferenceVisibleByInheritance
		ClassDeclarationPatternTests.testGloballyQualifiedItem
		ClassDeclarationPatternTests.testTypeReferenceVisibleByUsingDirective
		FunctionMethodPatternTests.testMethodDeclaration
		FunctionMethodPatternTests.testMethodDeclarationWithParams
		OtherPatternTests.testFieldDeclaration
		OtherPatternTests.testNamespaceDeclaration
		OtherPatternTests.testNamespaceReferenceInClassBaseClause
		OtherPatternTests.testNamespaceReferenceInUsingDirective
		OtherPatternTests.testVariableDeclaration

2003-07-28 John Camelon
	Added/moved tests as necessary for bugfix 40842 & 40843. 

2003-07-28 Sean Evoy
	In order to meet certain internal guidelines and to test the makefile 
	generator, the build model replied to some answers with hard-coded information. 
	This patch moves the information into the build model.

 	* plugin.xml:
	Added information to the target tags to test inheritence and 
	overridding the make command and clean command attributes.
	
	* build/org/eclipse/cdt/core/build/managed/tests/AllBuildTests.java:
	Added code to test the make command and clean command attributes in 
	Targets. Also added a test to insure that sub-sub targets inherit settings 
	properly.
	
2003-07-28 Andrew Niefer
	This patch creates a new failing test class : FullParseFailedTests.  This 
	is for writing failed tests on the parser doing COMPLETE_PARSE.

2003-07-28 Victor Mozgin
	Moved testBug39537() from ASTFailedTests.java to QuickParseASTTests.java.

2003-07-27 John Camelon
	Fixed failedTests::testBug40714() to fail properly.  

2003-07-25 Bogdan Gheorghe
	Added new indexer test for refs
	
2003-07-25 Victor Mozgin
	Moved testBug39553() from ASTFailedTests.java to QuickParseASTTests.java.
	Fixed IIncludeTest.h and IIncludeTests.java with #include macro tests.

2003-07-24 John Camelon
	Updated CompleteParseASTTests for Method/Field updates.
	Fixed TortureTest's parser mode switch (was always QuickParsing). 

2003-07-24 Hoda Amer
	Moved part of the CModelElementsTest (Templates of Variables ) to the failed tests.
	Moved the same test (Templates of Variables) from ITemplateTests to failed tests.
	
2003-07-24 Hoda Amer
	This patch updates the CModelBuilder to use the AST instead of the DOM. 
	
2003-07-24 John Camelon
	Updated CompleteParseASTTests.

2003-07-23 Andrew Niefer
	-Created search/BaseSearchTest to handle creating projects and setting them up to use the indexer
	-removed ClassSpecifierSearchTests, its functionality is now in BaseSearchTest
	-modified ClassDeclarationPatternTests to extend BaseSearchTest
	-added FunctionMethodPatternTests
	-added OtherPatternTests
	-modified indexer/IndexManagerTests.testIndexContents

2003-07-22 John Camelon
	Updated CompleteParseASTTests.

2003-07-21 Bogdan Gheorghe
	Added new indexer test for newly added declarations
	
2003-07-21 John Camelon
	Created CompleteParseASTTest and added it to ParserTestSuite.

2003-07-18 John Camelon
	Updated ParserSymbolTableTests to remove dependencies on parser.ast.full classes.
	Updated Parser test suites for updates to ParserFactory.

2003-07-18 John Camelon
	Wrote new tests in QuickParseASTQualifiedNameTest.java and added it to ParserTestSuite's suite.

2003-07-18 Peter Graves	
	Removed un-needed file that was using a Java 1.4 reserved keyword (assert)
	
2003-07-17 John Camelon
	Rewrote the entire DOMTests suite to now be AST tests.  
	Removed DOMTests, BaseDOMTest, DOMFailedTests after methods were migrated to QuickParseASTTests & ASTFailedTests.  
	Made sure every parser failed test had a defect number associated with it. 
	
2003-07-17 Victor Mozgin
	Added PerformanceTests.java (not included into AutomatedIntegrationSuite).
	Moved testBug39523() from DOMFailedTest.java to PerformanceTests.java.
	Moved testBug39550() from DOMFailedTest.java to DOMTests.java.
	Moved testBug39552A() and testBug39552B()from DOMFailedTest.java to DOMTests.java.
	TortureTest overrides timeout value for a very time-consuming test ('concat1.C').

2003-07-15 Victor Mozgin
	Moved testBug39349() from DOMFailedTest.java to DOMTests.java.
	Moved testBug39544() from DOMFailedTest.java to DOMTests.java.

2003-07-14 Victor Mozgin
	Added failed tests that correspond to recently reported PRs.

2003-07-11 Bogdan Gheorghe
	Added ClassSpecifierSearchTest
	
2003-07-08 John Camelon
	Updated IScanner, clients & implementations to use IScannerInfo.  

2003-07-07 John Camelon
	Update ClassDeclarationPatternTests::testBug39652(). 

2003-07-04 John Camelon
	Moved testBug39652() from failed search tests to ClassDeclarationPatternTests.

2003-07-04 Andrew Niefer
	Added new source Folder search
	Added search/ClassDeclarationPatternTests::testMatchSimpleDeclaration
	Added search/ClassDeclarationPatternTests::testMatchNamespaceNestedDeclaration
	Added new resource folder search & containing file classDecl.cpp
	Added new failures package ord.eclipse.cdt.core.search.failedTests
	Added new failing test PatternsFailedTests::testBug39652
	
	* Note that ClassDeclarationPatternTests and PatternsFailedTests both must be run as plugin tests

2003-07-03 Bogdan Gheorghe
	Added IndexManagerTest::testAddNewFileToIndex()
	Added IndexManagerTest::testRemoveProjectFromIndex()
	Added IndexManagerTest::testRemoveFileFromIndex()
	
2003-07-03 Sean Evoy
	New test suite that exercises the standard make build system including the new
	IScannerInfoListener and IScannerInfoProvider interfaces.

	Changes to the existing managed build test suite include tests of the new
	IScannerInfoxxx interface discovery, subscription, and change notification methods. 
	
	* build/org/eclipse/cdt/core/build/managed/tests/StandardBuildTests.java
	* build/org/eclipse/cdt/core/build/managed/tests/AllBuildTests.java

2003-07-02 Victor Mozgin
	Added DOMTests::testBug39501().
	Improved filtering of expected failures/inconclusives in TortureTest.

2003-06-30 John Camelon
	Added DOMTests::testAssignmentExpression()
	Added PreprocessorConditionalTest to ParserTestSuite.  

2003-06-28 John Camelon
	Completed Quickparse expression representation.  
	Updated ExpressionEvaluation and associated tests.  

2003-06-26 John Camelon
	Update IASTExpression. 
	Move Parser.Backtrack and Parser.EndOfFile to external interface. 

2003-06-25 John Camelon
	Added DOMFailedTest::testBug39349(). 
	Added DOMTests::testBug39348().

2003-06-25 John Camelon
	Create new interface and support for calculating lineNumber/offset mapping.  
	Updated IASTClassSpecifier for qualified name query.  
	Began structuring expressions and declarators in Parser for ISourceElementRequestor.  
	Updated other packages to use new interfaces.  
	Updated automatedtests/torture test to use new line number information.  

2003-06-24 John Camelon
	Updates for ISourceElementRequestor - elaborated types & enumerations.  

2003-06-23 John Camelon
	Factory/constructor signature updates.  

2003-06-17 Victor Mozgin
	Added MacroTests.java (invocation in AllCoreTests).
	Added MacroTests.c to resources.

2003-06-17 Sean Evoy
	Moved the ManagedBuildInfo extension point from the plugin file in org.eclipse.cdt.ui.tests
	Added new options to sub target for include paths and preprocessor symbols
	Added test for IManagedBuildPathInfo
	* build/org/eclipse/cdt/core/build/managed/tests/AllBuildTests.java
	
2003-06-17 Brent Nicolle
	Added Interface tests of IStructure.java.

2003-06-17 Victor Mozgin
	Added DeclaratorsTests.java (invocation in AllCoreTests).
	Added DeclaratorsTests.cpp to org.eclipse.cdt.core.model.tests.resources.

2003-06-16 Victor Mozgin
	Added testOldKRFunctionDeclarations() to DOMTests.
	Added testKRFunctionDeclarations() to TranslationUnitTests.

2003-06-16 Vladimir Hirsl
	Added /build, /parser, /failures and /suite directories to the library. 
	Copied resources from /model/org.eclipse.cdt.core.model.tests.resources
	                 to /model/org/clipse/cdt/core/model/tests/resources/cmodel.
	Added class AISResultPrinter to format test results.  
	Class AutomatedIntegrationSuite now implements IPlatformRunnable.

2003-06-14 Victor Mozgin
	Moved testBugSingleton192() from LokiFailures to DOMTests.
	Added testPointersToMembers() and testPointersToMemberFunctions() to DOMTests.
	Added testBug36290() and testBug36931() to DOMTests.

2003-06-13 John Camelon
	Added Class/Base infrastructure to public interfaces & requestor callback. 
	Moved many internal interfaces to external packages. 
	Organized imports.  

2003-06-13 Victor Mozgin
	Renamed NullParserCallback into NullSourceElementRequester in AutomatedFramework.

2003-06-13 John Camelon
	Merged ParserSymbolTable branch back into HEAD.

2003-06-12 John Camelon
	Get rest of JUnit tests working, will merge back to HEAD branch.  

2003-06-12 John Camelon
	Introduction of ASTFactory strategy, some restructuring of packages and interfaces.
	
2003-06-11 Victor Mozgin
	Old Java TestCase.txt and TestCase2.txt for partioning testing have been replaced with C/C++ files.
	Modified AutomatedIntegrationSuite.java so it doesn't produce JUnit warning anymore.
	All tests in org.eclipse.cdt.ui.tests should pass now.

3003-06-11 Peter Graves
    Update the test.xml to get the location of org.eclipse.test from a property
    if set. If the property is not set, it will default to the old value.
    
2003-06-11 Victor Mozgin
	Added TortureTest to test CDT C++ parser with GCC testsuites.
	GCC testsuites are not included.

2003-06-10 John Camelon
	Futher pursuit of the golden hammer, symbol table integration. 

2003-06-10 Brent Nicolle
	Added some Interface tests of (IInclude, IMacro, IStructure).
	Made sure all the Test Suites have names in the JUnit hierarchy.

2003-06-09 John Camelon
	First step in replacing IParserCallback with ISourceElementRequestor.  
	
2003-06-09 Victor Mozgin
	Moved testBug36769() from ACEFailedTest.java to DOMTests.java.
	Removed ACEFailedTest.java as it is empty now.
	Added DOMTests.testBug36769B(). 

2003-06-09 Victor Mozgin
	Moved testBug36932() from DOMFailedTest.java to DOMTests.java.
	Added DOMTests.testBug36932B() and DOMTests.testBug36932C(). 

2003-06-09 Victor Mozgin
	Moved testBug36701() from ScannerFailedTests.java to ScannerTestCase.java.
	Renamed it to testBug36701A() and fixed it.
	Added ScannerTestCase.testBug36701B().

2003-06-07 Victor Mozgin
	Moved testBug36766A(), testBug36766B() & testBug36766C() from STLFailedTests.java to DOMTests.java.
	Renamed them to testBug36766and36769x(), as they cover both PRs.
	Added testBug36766and36769D() - test for templated destructor.

2003-06-05 John Camelon
	Moved testBug23478A() & testBug23478B() from failed tests to TranslationUnitTests.java.
	Removed TranslationUnitFailedTests.java as it was empty. 

2003-05-29 Andrew Niefer
	Modified tests to support eType & PtrOp changes in core
	Added ParserSymbolTableTest::testTemplateParameterAsParent
	Added ParserSymbolTableTest::testTemplateInstanceAsParent
	Added ParserSymbolTableTest::testTemplateParameterDefaults
	Added ParserSymbolTableTest::testTemplateParameterAsFunctionArgument
	started ParserSymbolTableTest::incompletetestTemplateSpecialization

2003-05-26 John Camelon
	Rollback PST/Parser integration.

2003-05-13 Andrew Niefer	
	Modified ParserSymbolTableTest to use new interface

2003-05-08 Andrew Niefer
	Added ParserSymbolTableTest::testMarkRollback

2003-05-06 John Camelon
	Further integration of SymbolTable into Parser, some refactoring. 

2003-05-05 John Camelon/Andrew Niefer
	Added CrossReferenceTests to ParserTestSuite to test symbol-table/DOM interworking.

2003-05-05 Andrew Niefer
	Rewrote ParserSymbolTableTest to reflect structural changes to the symbol table.

2003-05-01 Andrew Niefer
	Updated FractionalAutomatedTest to use threads
	Modified ScannerTestCase::testBug36287
	Added ScannerTestCase::testBug37011
	Added ScannerTestCase::testOtherPreprocessorDefines

2003-04-28 John Camelon
	Moved testBug36730() & testBug37019() from DOMFailedTests to DOMTests.

2003-04-28 Andrew Niefer
	Added DOMFailedTest::testBug37019
	Added DOMFailedTest::testBug36932
	Added ScannerFailedTest::testBug37011

2003-04-28 John Camelon
	Added DOMTests::testOrder().  

2003-04-28 Peter Graves
	* model/org/eclipse/cdt/core/model/tests/BinaryTests:
	Updated to remove a few small errors, and deal with some changes
	to the core CDT
	 
2003-04-27 John Camelon
	Added testBug36932() to DOMTests. 
	Moved testBugFunctor758() from LokiFailures to DOMTests.
	Moved testBug36704() from DOMFailedTest to DOMTests.  
	Moved testBug36699() from DOMFailedTest to DOMTests.  
	Moved testBug36691() from DOMFailedTest to DOMTests.  

2003-04-25 Andrew Niefer
	Moved ACEFailedTest::testBug36771 to DOMTests
	Moved DOMFailedTest::testBug36714 to DOMTests
	Updated ScannerTestCase::testBug36816
	
2003-04-25 John Camelon
	Added DOMTests::testBug36852(). 
	Added DOMTests::testBug36764().
	Moved DOMFailedTests::testBug36702() to DOMTests(). 

2003-04-24 John Camelon
	Moved fixed tests from FailedTests to DOMTests. 
	Added DOMTests::testBug36799().
	Cleaned up tests to reduce amount of code necessary to maintain these things. 

2003-04-24 John Camelon
	Moved fixed tests from FailedTests to DOMTests. 
	Added LokiFailures.java to failed tests directory.

2003-04-24 Andrew Niefer
	Added AutomatedFramework.java
	Added FractionalAutomatedTest (which derives from AutomatedFramework)
	Refactored AutomatedTest to derive from AutomatdFramework
	Added ScannerTestCase.testBug36816
	Added ScannerTestCase.testBug36255	

2003-04-24 John Camelon
	Fixed Java 1.3 compliance issue w/AutomatedTest.java
	Fixed False failure in HelloWorld.java.  

2003-04-21 John Camelon
	Updated DOMTests::testBug36247(). 
	Moved testBug36692(), testBug36703(), testBug36708(), testBug36707(), testBug36689()
	and testBug36690() from DOMFailedTests to DOMTests and updated them. 

2003-04-20 John Camelon
	Added DOMTests::testBug36551().
	Adjusted AutomatedTest to turn on line numbering. 
	Added DOMFailedTests and 11 failed test cases.  

2003-04-17 Andrew Niefer
	Added ScannerTestCase::testBug36695()
	Moved ScannerFailedTest::testBug36521 to ScannerTestCase::testBug36521()
	Moved ScannerFailedTest::testBug36509 to ScannerTestCase::testBug36509()
	Moved ScannerFailedTest::testBug36475 to ScannerTestCase::testBug36475() 
	Updated ScannerTestCase::testBug36047
	Updated ScannerTestCase::testBug36045

2003-04-17 John Camelon
	Updated DOMTests::testBug36600().
	Updated LineNumberTest::testDOMLineNos().  
	Added DOMTests::testBug36559().  

2003-04-17 Andrew Niefer
	Added AutomatedTest
	Added resources.cFiles
	Added resources.cppFiles

2003-04-16 John Camelon
	Added DOMTests::testBug36532().
	Added DOMTests::testBug36432(). 
	Added DOMTests::testBug36594().
	Added DOMTests::testBug36600(). 
	Added DOMTests::testArrayOfPointerToFunctions(). 

2003-04-15 John Camelon
	Added ScannerTestCase::testBug36434().
	Added ScannerTestCase::testMultipleLines(). 
	Added ParserTestSuite. 
	Added LineNumberTest.
	Updated CModelElementsTests to set the Nature of the C++ project appropriately.

2003-04-15 Andrew Niefer
	Moved ScannerFailedTest::testBug36047 to ScannerTestCase::testBug36047
	Added ScannerFailedTest::testBug36475

2003-04-13 John Camelon
	Added DOMTests::testPointersToFunctions.  

2003-04-11 John Camelon
	Added DOMTests::testBug36247().  

2003-04-11 Andrew Niefer
	Moved ScannerFailedTest::testBug36316 to ScannerTestCase::testBug36316
	Added ScannerFailedTest::testBug36047
	Added ScannerTestCase::testNestedRecursiveDefines

2003-04-10 John Camelon
	Added DOMTests::testBug36237().

2003-04-09 John Camelon
	Removed all the old Code Model Builder source that was no longer being used (NewModelBuilder.java, etc.). 
	Moved all the files in parser.util directory to the dom.  
	Organized imports. 
	Added DOMTests::testTemplateDeclarationOfMethod().
	Added DOMTests::testBug36250().  
	Added DOMTests::testBug36240(). 
	Added DOMTests::testBug36254().

2003-04-09 John Camelon
	Updated ScannerTest::testBug36045().
	Added ScannerTest::testBug36287().
	Added DOMTests::testBug36288(). 

2003-04-06 Andrew Niefer
	Added ParserSymbolTableTest::testOverloadRanking()

2003-04-04 Alain Magloire
	* src/org/eclipse/cdt/testplugin/util/VerifyDialog.java:
	Remove some warnings.

2003-04-03 John Camelon
	Updated ScannerTest::testSimpleIfdef() for bug36019.  
	Updated ScannerTest::testNumerics() for bug36020.  
	Added ScannerTest::testBug36045().  
	Updated DOMTests::testTemplateDeclaration() for template grammar updates.  

2003-04-01 Andrew Niefer
	ParserSymbolTableTest. modifications to using declaration tests to reflect changes in the
	symbol table.  Also added testUserDefinedConversionSequences()

2003-04-01 John Camelon
	Added testBug35906() to DOMTests.

2003-03-31 John Camelon
	Added testStruct() to DOMTests.  
	Added test35892()to ScannerTest. 

2003-03-31 Andrew Niefer
	In ParserSymbolTableTest, renamed testFunctionResolution_2() to testFunctionResolution_PointersAndBaseClasses(),
	and modified to reflect changes in function resolution.  
	Added testFunctionResolution_TypedefsAndPointers().
	
2003-03-31 John Camelon
	Added testWeirdStrings() and testNumerics() to ScannerTestCase. 
	Added testTemplateSpecialization(), testTemplateDeclaration(), testBug26467(), 
	  testTypedef() and testTemplateInstantiation() to DOMTests.

2003-03-28 John Camelon
	Added testConstructorChain() and testASMDefinition() to DOMTests.

2003-03-27 Alain Magloire
	Changes were done in the Core Model API, the hierarchy is now
	ICModel
		ICProject
			ICContainer
				ITranslationUnit
				IArchive
				IBinary
	We adjust the tests.
	* model/org/eclipse/cdt/core/model/tests/ArchiveTests.java
	* model/org/eclipse/cdt/core/model/tests/BinaryTests.java
	* model/org/eclipse/cdt/core/model/tests/TranslationUniTests.java
	* model/org/eclipse/cdt/core/model/tests/WorkingCopyTests.java

2003-03-26 Andrew Niefer
	In ParserSymbolTableTest : 
		updated all tests to reflect TypeInfo changes
		Added testFunctionResolution() & testFunctionResolution_2() in

2003-03-25 John Camelon
	Added testDeclSpecifier(), testNamespaceDefinition(), testLinkageSpecification(), 
	testUsingClauses() and testEnumSpecifier() to DOMTests.

2003-03-23 John Camelon
	Added ptrOperator() test to DOMTests.  
	Added testFunctionModifiers() test to DOMTests.
	Added testArrays() test to DOMTests.

2003-03-20 Alain Magloire

	Patch from Amer Hoda, tests for the CElement deltas for Translation Units.
	* model/org/eclipse/cdt/core/model/tests/ElementDeltaTest.java
	* model/org/eclipse/cdt/core/model/tests/resource/WorkingCopyTestStart.h
	
2003-03-19 Alain Magloire
	Patch from Amer Hoda, introducing a simple test for the core model.
	* model/org/eclipse/cdt/core/model/tests/WorkingCopyTests.java
	* model/org/eclipse/cdt/core/model/tests/resource/WorkingCopyTestStart.h

2003-03-18 John Camelon
	Updated DOMTests to validate simple case of a function declaration with multiple parameters.  
	* parser/org/eclipse/cdt/core/parser/tests/DOMTests.java

2003-03-11 John Camelon
	Updated DOMTests for core.internal.parser change of merging DeclarationSpecifier and DeclSpecifier
	Organized imports
	* parser/org/eclipse/cdt/core/parser/tests/DOMTests.java
	* parser/org/eclipse/cdt/core/parser/tests/ParserSymbolTableTest.java

2003-03-10 John Camelon
	Added macro pasting tests

2003-03-06 Andrew Niefer
	Added tests for exercising Namespaces & using directives in new parser's symbol table

2003-03-04 Doug Schaefer
	This is a pretty big patch, but it is the merge of the NewParser1 branch into the HEAD branch.  lder "parser") 
	JUnit tests for testing various pieces (source folder "parser" in cdt.ui.tests. 

2003-01-29 Peter Graves

    Fixed the warnings when accessing static methods
    * src/org/eclipse/cdt/testplugin/util/DialogCheck.java:
    * src/org/eclipse/cdt/testplugin/CTestPlugin.java
    * src/org/eclipse/cdt/testplugin/TestWorkbench.java
    * ChangeLog: make all entries have the same formatting

2002-12-17 Peter Graves

    * plugin.xml,test.xml: Some simple cleanups to remove refrences to the jdt and
	to move closer to automated running
    
2002-11-27 Alain Magloire

	* model/org/eclipse/cdt/core/model/tests/CModelTests.java:
	Use CoreModel.getDefault().

2002-10-30 Alain Magloire

	* model/org/eclipse/cdt/core/model/tests/CModelTests.java (testGetNatureID):
	The fields and the methods use in this test was removed from the CoreModel class.
	(testHasNature): The method use in this case was refactor in the classes
	CProjectNature and CCProjectNature, fix the test.

2002-10-18 Peter Graves

	src/org/eclipse/cdt/testplugin/CProjectHelper.jada
    Cleanup of the CProjectHelper file to remove unused imports, commeted out code etc.
    
=======
2003-04-21 Andrew Niefer
	Added DOMFailedTests::testBug36713()
	Added DOMFailedTests::testBug36714()
	Added DOMFailedTests::testBug36717()
	Added DOMFailedTests::testBug36730()

2003-04-21 Andrew Niefer
	Added ScannerTestCase::testBug36695()
	Moved ScannerFailedTest::testBug36521 to ScannerTestCase::testBug36521()
	Moved ScannerFailedTest::testBug36509 to ScannerTestCase::testBug36509()
	Moved ScannerFailedTest::testBug36475 to ScannerTestCase::testBug36475() 
	Updated ScannerTestCase::testBug36047
	Updated ScannerTestCase::testBug36045

2003-04-20 John Camelon
	Added DOMTests::testBug36551().
	Adjusted AutomatedTest to turn on line numbering. 
	Added DOMFailedTests and 11 failed test cases.  

2003-04-17 John Camelon
	Updated DOMTests::testBug36600().
	Updated LineNumberTest::testDOMLineNos().  
	Added DOMTests::testBug36559().  

2003-04-17 Andrew Niefer
	Added AutomatedTest
	Added resources.cFiles
	Added resources.cppFiles

2003-04-16 John Camelon
	Added DOMTests::testBug36532().
	Added DOMTests::testBug36432(). 
	Added DOMTests::testBug36594().
	Added DOMTests::testBug36600(). 
	Added DOMTests::testArrayOfPointerToFunctions(). 

2003-04-15 John Camelon
	Added ScannerTestCase::testBug36434().
	Added ScannerTestCase::testMultipleLines(). 
	Added ParserTestSuite. 
	Added LineNumberTest.
	Updated CModelElementsTests to set the Nature of the C++ project appropriately.

2003-04-15 Andrew Niefer
	Moved ScannerFailedTest::testBug36047 to ScannerTestCase::testBug36047
	Added ScannerFailedTest::testBug36475

2003-04-13 John Camelon
	Added DOMTests::testPointersToFunctions.  

2003-04-11 John Camelon
	Added DOMTests::testBug36247().  

2003-04-11 Andrew Niefer
	Moved ScannerFailedTest::testBug36316 to ScannerTestCase::testBug36316
	Added ScannerFailedTest::testBug36047
	Added ScannerTestCase::testNestedRecursiveDefines

2003-04-10 John Camelon
	Added DOMTests::testBug36237().

2003-04-09 John Camelon
	Removed all the old Code Model Builder source that was no longer being used (NewModelBuilder.java, etc.). 
	Moved all the files in parser.util directory to the dom.  
	Organized imports. 
	Added DOMTests::testTemplateDeclarationOfMethod().
	Added DOMTests::testBug36250().  
	Added DOMTests::testBug36240(). 
	Added DOMTests::testBug36254().

2003-04-09 John Camelon
	Updated ScannerTest::testBug36045().
	Added ScannerTest::testBug36287().
	Added DOMTests::testBug36288(). 

2003-04-06 Andrew Niefer
	Added ParserSymbolTableTest::testOverloadRanking()

2003-04-04 Alain Magloire
	* src/org/eclipse/cdt/testplugin/util/VerifyDialog.java:
	Remove some warnings.

2003-04-03 John Camelon
	Updated ScannerTest::testSimpleIfdef() for bug36019.  
	Updated ScannerTest::testNumerics() for bug36020.  
	Added ScannerTest::testBug36045().  
	Updated DOMTests::testTemplateDeclaration() for template grammar updates.  

2003-04-01 Andrew Niefer
	ParserSymbolTableTest. modifications to using declaration tests to reflect changes in the
	symbol table.  Also added testUserDefinedConversionSequences()

2003-04-01 John Camelon
	Added testBug35906() to DOMTests.

2003-03-31 John Camelon
	Added testStruct() to DOMTests.  
	Added test35892()to ScannerTest. 

2003-03-31 Andrew Niefer
	In ParserSymbolTableTest, renamed testFunctionResolution_2() to testFunctionResolution_PointersAndBaseClasses(),
	and modified to reflect changes in function resolution.  
	Added testFunctionResolution_TypedefsAndPointers().
	
2003-03-31 John Camelon
	Added testWeirdStrings() and testNumerics() to ScannerTestCase. 
	Added testTemplateSpecialization(), testTemplateDeclaration(), testBug26467(), 
	  testTypedef() and testTemplateInstantiation() to DOMTests.

2003-03-28 John Camelon
	Added testConstructorChain() and testASMDefinition() to DOMTests.

2003-03-27 Alain Magloire
	Changes were done in the Core Model API, the hierarchy is now
	ICModel
		ICProject
			ICContainer
				ITranslationUnit
				IArchive
				IBinary
	We adjust the tests.
	* model/org/eclipse/cdt/core/model/tests/ArchiveTests.java
	* model/org/eclipse/cdt/core/model/tests/BinaryTests.java
	* model/org/eclipse/cdt/core/model/tests/TranslationUniTests.java
	* model/org/eclipse/cdt/core/model/tests/WorkingCopyTests.java

2003-03-26 Andrew Niefer
	In ParserSymbolTableTest : 
		updated all tests to reflect TypeInfo changes
		Added testFunctionResolution() & testFunctionResolution_2() in

2003-03-25 John Camelon
	Added testDeclSpecifier(), testNamespaceDefinition(), testLinkageSpecification(), 
	testUsingClauses() and testEnumSpecifier() to DOMTests.

2003-03-23 John Camelon
	Added ptrOperator() test to DOMTests.  
	Added testFunctionModifiers() test to DOMTests.
	Added testArrays() test to DOMTests.

2003-03-20 Alain Magloire

	Patch from Amer Hoda, tests for the CElement deltas for Translation Units.
	* model/org/eclipse/cdt/core/model/tests/ElementDeltaTest.java
	* model/org/eclipse/cdt/core/model/tests/resource/WorkingCopyTestStart.h
	
2003-03-19 Alain Magloire
	Patch from Amer Hoda, introducing a simple test for the core model.
	* model/org/eclipse/cdt/core/model/tests/WorkingCopyTests.java
	* model/org/eclipse/cdt/core/model/tests/resource/WorkingCopyTestStart.h

2003-03-18 John Camelon
	Updated DOMTests to validate simple case of a function declaration with multiple parameters.  
	* parser/org/eclipse/cdt/core/parser/tests/DOMTests.java

2003-03-11 John Camelon
	Updated DOMTests for core.internal.parser change of merging DeclarationSpecifier and DeclSpecifier
	Organized imports
	* parser/org/eclipse/cdt/core/parser/tests/DOMTests.java
	* parser/org/eclipse/cdt/core/parser/tests/ParserSymbolTableTest.java

2003-03-10 John Camelon
	Added macro pasting tests

2003-03-06 Andrew Niefer
	Added tests for exercising Namespaces & using directives in new parser's symbol table

2003-03-04 Doug Schaefer
	This is a pretty big patch, but it is the merge of the NewParser1 branch into the HEAD branch.  lder "parser") 
	JUnit tests for testing various pieces (source folder "parser" in cdt.ui.tests. 

2003-01-29 Peter Graves

    Fixed the warnings when accessing static methods
    * src/org/eclipse/cdt/testplugin/util/DialogCheck.java:
    * src/org/eclipse/cdt/testplugin/CTestPlugin.java
    * src/org/eclipse/cdt/testplugin/TestWorkbench.java
    * ChangeLog: make all entries have the same formatting

2002-12-17 Peter Graves

    * plugin.xml,test.xml: Some simple cleanups to remove refrences to the jdt and
	to move closer to automated running
    
2002-11-27 Alain Magloire

	* model/org/eclipse/cdt/core/model/tests/CModelTests.java:
	Use CoreModel.getDefault().

2002-10-30 Alain Magloire

	* model/org/eclipse/cdt/core/model/tests/CModelTests.java (testGetNatureID):
	The fields and the methods use in this test was removed from the CoreModel class.
	(testHasNature): The method use in this case was refactor in the classes
	CProjectNature and CCProjectNature, fix the test.

2002-10-18 Peter Graves

	src/org/eclipse/cdt/testplugin/CProjectHelper.jada
    Cleanup of the CProjectHelper file to remove unused imports, commeted out code etc.
    
